/** 
 * Fonction de lancement de l'application
 *
 * @author HEIT Sylvestre & Coustillac Laurent
 *
 *
 * Programme kartoMNT : gnration de MNT  partir d'une carte de lignes de niveaux
 * Copyright (C) 2002  HEIT Sylvestre & Coustillac Laurent
 * 
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes de la Licence
 *Publique Gnrale GNU publie par la Free Software Foundation (version 2).
 *
 *Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, ni explicite ni implicite,
 *y compris les garanties de commercialisation ou d'adaptation dans un but spcifique. Reportez-vous  la
 *Licence Publique Gnrale GNU pour plus de dtails.
 *
 *Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ; si
 *ce n'est pas le cas, crivez  la
 *Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.
 */
package kartoMNT;

import java.io.*;
import java.awt.image.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.plaf.ColorUIResource;


class Main{
	
  	public static void main(String[] args) throws java.io.IOException {      	
		
		ResourceManager.init();
	
	    //MainWindowMDI mainwindow=new MainWindowMDI();
	    MainWindowSDI mainwindow = new MainWindowSDI();
  
	    mainwindow.setSize(800,600);
  
	    Util.centrer(mainwindow);
	    System.out.println("");
   		System.out.println("KartoMNT V2.1.0, Copyright (C) 2004 FERNANDES Gilbert ");
		System.out.println("KartoMNT est livre absolument SANS AUCUNE GARANTIE ;");
		System.out.println("KartoMNT est un logiciel libre, et vous avez le droit de le redistribuer dans certaines conditions ;");
		System.out.println("pour plus de detail, consultez le texte de licence dans le fichier Licence.txt");
		System.out.println("");

	    mainwindow.show();    
   
	}
}
