/** 
 * MyPropertyChangeListener:
 * Listener utilis par JCheckBoxMenuItem2, JToggleButton2 permettant de prendre en compte 
 * la modification de l'tat "Selected" et d'actualiser le bouton en consquence
 * 
 * 
 * @author HEIT Sylvestre & Coustillac Laurent
 * module Action2.java 
 *
 * Programme kartoMNT : cartographie 2D sur cartes numriques
 * Copyright (C) 2002  HEIT Sylvestre & Coustillac Laurent
 * 
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes de la Licence
 *Publique Gnrale GNU publie par la Free Software Foundation (version 2).
 *
 *Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, ni explicite ni implicite,
 *y compris les garanties de commercialisation ou d'adaptation dans un but spcifique. Reportez-vous  la
 *Licence Publique Gnrale GNU pour plus de dtails.
 *
 *Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ; si
 *ce n'est pas le cas, crivez  la
 *Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.
 */
package kartoMNT;

import javax.swing.AbstractAction;
import javax.swing.*;
import java.awt.event.*;
import java.beans.*;


class MyPropertyChangeListener implements PropertyChangeListener
    {
        MyPropertyChangeListener(PropertyChangeListener pl,AbstractButton jc)
        {
            propertyChangeListener=pl;
            jCheckBoxMenuItem2=jc;

        }

        public void propertyChange(PropertyChangeEvent evt)
        {
            if(evt.getPropertyName()=="Selected")
                {
                    boolean b=((Boolean)evt.getNewValue()).booleanValue();
                    if(b!=jCheckBoxMenuItem2.isSelected())
                        {
                            jCheckBoxMenuItem2.setSelected(b);
                        }
                }
            propertyChangeListener.propertyChange(evt);
        }

        protected PropertyChangeListener propertyChangeListener;
        AbstractButton jCheckBoxMenuItem2;
    }


