/** 
 * Ce fichier contient l'ensemble des actions qui peuvent s'appliquer sur un DocumentKarto
 * En particulier, l'exportation
 *
 * @author G.Fernandes
 * module Options.java
 *
 * Programme kartoMNT : cartographie 2D sur cartes numriques
 * Copyright (C) 2002  HEIT Sylvestre & Coustillac Laurent
 *
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes de la Licence
 *Publique Gnrale GNU publie par la Free Software Foundation (version 2).
 *
 *Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, ni explicite ni implicite,
 *y compris les garanties de commercialisation ou d'adaptation dans un but spcifique. Reportez-vous  la
 *Licence Publique Gnrale GNU pour plus de dtails.
 *
 *Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ; si
 *ce n'est pas le cas, crivez  la
 *Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.
 */
package kartoMNT;

public class Options {

	static String dirRead=".";
	static String dirWrite=".";
	
	public static String getDirRead(){
		return dirRead;
	}
	public static void setDirRead(String dir){
		dirRead=new String(dir);
	}
	public static String getDirWrite(){
		if (dirWrite.equals("."))
			return dirRead;
		else
			return dirWrite;
	}
	
	public static void setDirWrite(String dir){
		dirWrite=new String(dir);
	}
}