package kartoMNT.visu3d;

import java.awt.event.*; 
import com.sun.j3d.utils.applet.JMainFrame;

/**
 *	Classe permettant d'viter que le visualisateur 3D ne ferme galement
 *	KartoMNT lorsque l'on appuie sur la croix pour fermer 
 **/
public class JMainFrame2 extends JMainFrame{        

    /**
     *	Constructeur
     *	@param applet L'applet qu'il faut transformer en JFrame
     *	@param width Taille en X de la fentre
     *  @param width Taille en Y de la fentre
     **/
    public JMainFrame2(java.applet.Applet applet, int width, int height) {
	super(applet,width,height);

	// on efface l'ancien WindowListener...
	WindowListener[] tabWL = getWindowListeners();
	if (tabWL!=null){
	    for(int i=0; i<tabWL.length ;i++){
		removeWindowListener(tabWL[i]);
	    }
	}
	
	// ...et on le remplace par celui-l
	addWindowListener(new WindowAdapter(){
		public void windowClosing(WindowEvent e) {		    
		    ((java.applet.Applet)(getApplets().nextElement())).destroy();
		    System.gc();
		    dispose();
		} 

	    });
    }

}
