/** 
 * ButtonGroup2: Groupe de bouton exclusif
 * Rimplment  cause d'un problme avec l'utilisation de Action2
 *   
 * 
 * @author HEIT Sylvestre & Coustillac Laurent
 *
 *
 * Programme kartoMNT : gnration de MNT  partir d'une carte de lignes de niveaux
 * Copyright (C) 2002  HEIT Sylvestre & Coustillac Laurent
 * 
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes de la Licence
 *Publique Gnrale GNU publie par la Free Software Foundation (version 2).
 *
 *Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, ni explicite ni implicite,
 *y compris les garanties de commercialisation ou d'adaptation dans un but spcifique. Reportez-vous  la
 *Licence Publique Gnrale GNU pour plus de dtails.
 *
 *Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ; si
 *ce n'est pas le cas, crivez  la
 *Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.
 */
package kartoMNT;


import java.awt.event.*;
import javax.swing .*;
import java.util.*;



class ButtonGroup2 implements ItemListener
    {
        ButtonGroup2()
        {
            super();
            selectedItem=null;
            buttons=new Vector();
        }

        void add(AbstractButton b)
        {
            buttons.add(b);
            b.addItemListener(this);
        }

        void remove(AbstractButton b)
        {
            buttons.remove(b);
            b.removeItemListener(this);
        }

        int getButtonCount()
        {
            return buttons.size();
        }

        public void itemStateChanged(ItemEvent e)
        {

            if(e.getStateChange()==ItemEvent.SELECTED)
                {
                    if(selectedItem!=e.getItem())
                        {
                            if(selectedItem!=null)
                                {
                                    ((AbstractButton)selectedItem).setSelected(false);
                                }

                            selectedItem=(AbstractButton)e.getItem();
                        }
                }
        }

        protected Vector buttons;
        AbstractButton selectedItem;
    }

