/** 
 * Oject utilitaire permettant d'viter de caster des objects
 * on pourrait se passer de cette classe
 * @author HEIT Sylvestre & Coustillac Laurent
 *
 *
 * Programme kartoMNT : gnration de MNT  partir d'une carte de lignes de niveaux
 * Copyright (C) 2002  HEIT Sylvestre & Coustillac Laurent
 * 
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes de la Licence
 *Publique Gnrale GNU publie par la Free Software Foundation (version 2).
 *
 *Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, ni explicite ni implicite,
 *y compris les garanties de commercialisation ou d'adaptation dans un but spcifique. Reportez-vous  la
 *Licence Publique Gnrale GNU pour plus de dtails.
 *
 *Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ; si
 *ce n'est pas le cas, crivez  la
 *Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.
 */
package kartoMNT;


import javax.swing.*;
import java.awt.*;


abstract class DocumentDialog extends JDialog implements SelectDocumentListener
    {


        DocumentDialog()
        {
            super();
        }

        DocumentDialog(Dialog owner)
        {
            super(owner);
        }

        DocumentDialog(Dialog owner, boolean modal)
        {
            super(owner,  modal);
        }

        DocumentDialog(Dialog owner, String title)
        {
            super( owner,  title);
        }


        DocumentDialog( Dialog owner, String title,boolean  modal)
        {
            super( owner,  title,  modal);
        }

        DocumentDialog( Frame owner)
        {
            super( owner);
            frame=owner;
        }

        DocumentDialog(Frame owner, boolean modal)
        {
            super( owner,  modal);
            frame=owner;
        }

        DocumentDialog(Frame owner, String title)
        {
            super( owner,  title);
            frame=owner;
        }

        DocumentDialog(Frame owner, String title, boolean modal)
        {
            super( owner,  title,  modal);
            frame=owner;
        }


        Frame frame;

    };
