/** 
 * Interface implementee par les objets qui contiennent plusieurs documents MNT
 * Interface implmente par MainWindowSDI (Single Document Interface) et 
 * MainWindowMDI (Multiple Document Interface)
 * cette interface permet de faire en sorte que le programme fonctionne avec les deux types d'interfaces
 * 
 * @author HEIT Sylvestre & Coustillac Laurent
 *
 *
 * Programme kartoMNT : gnration de MNT  partir d'une carte de lignes de niveaux
 * Copyright (C) 2002  HEIT Sylvestre & Coustillac Laurent
 * 
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes de la Licence
 *Publique Gnrale GNU publie par la Free Software Foundation (version 2).
 *
 *Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, ni explicite ni implicite,
 *y compris les garanties de commercialisation ou d'adaptation dans un but spcifique. Reportez-vous  la
 *Licence Publique Gnrale GNU pour plus de dtails.
 *
 *Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ; si
 *ce n'est pas le cas, crivez  la
 *Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.
 */
package kartoMNT;


interface DocumentMNTContainer extends DocumentContainer
    {
        // ajoute un listener
        public void addSelectDocumentMNTListener(SelectDocumentListener l);
        // enleve un listener
        public void removeSelectDocumentMNTListener(SelectDocumentListener l);

        public void notifySelectDocumentMNTListener(DocumentMNT doc);

        public DocumentMNTContainer nextDocumentMNTContainer();
        // obtient le document courant (null si le document courant est d'un autre type que MNT)
        public DocumentMNT getCurrentDocumentMNT();
    };



