/** 
 * Classe permettant de convertit une image en une BufferedImage RGB
 *
 * @author HEIT Sylvestre & Coustillac Laurent
 *
 *
 * Programme kartoMNT : gnration de MNT  partir d'une carte de lignes de niveaux
 * Copyright (C) 2002  HEIT Sylvestre & Coustillac Laurent
 * 
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes de la Licence
 *Publique Gnrale GNU publie par la Free Software Foundation (version 2).
 *
 *Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, ni explicite ni implicite,
 *y compris les garanties de commercialisation ou d'adaptation dans un but spcifique. Reportez-vous  la
 *Licence Publique Gnrale GNU pour plus de dtails.
 *
 *Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ; si
 *ce n'est pas le cas, crivez  la
 *Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.
 */
package kartoMNT;


import java.awt.image.*;

import java.awt.*;

class Image2BufferedImage
    {

        /**
         * convertit une image en une BufferedImage RGB
         */
        static BufferedImage convert(Image image,int type)
        {
            int sx,sy;
            MediaTracker tracker = new MediaTracker(new Panel());
            tracker.addImage(image, 0);
            try
                {
                    tracker.waitForID(0);
                }
            catch (InterruptedException e0)
                {
                    return null;
                }
            tracker.removeImage(image);
            sx=image.getWidth(null);
            sy=image.getHeight(null);
            if((sx==-1)||(sy==-1))
                {
                    return null;
                }
            BufferedImage im=new BufferedImage(sx,sy,type);
            Graphics2D graphics2D = im.createGraphics();
            if(graphics2D.drawImage(image,0,0,null)==false)
                return null;

            return im;
        }

        static BufferedImage convert(Image image)
        {
            return convert(image,BufferedImage.TYPE_INT_RGB);
        }

    }
